Bug 1299907 - Review Request: php-pecl-pq - PostgreSQL client library (libpq) binding
Review Request: php-pecl-pq - PostgreSQL client library (libpq) binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 09:17 EST by Remi Collet
Modified: 2016-03-29 13:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 16:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
fedora-review.txt (9.44 KB, text/plain)
2016-03-11 07:38 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-01-19 09:17:00 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/d70d87c4b91df81796ae73c5fe114b4cd4d29a9b/php/pecl/php-pecl-pq/php-pecl-pq.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-pq-1.0.0-2.remi.src.rpm
Description: 
PostgreSQL client library (libpq) binding.

Documents: http://devel-m6w6.rhcloud.com/mdref/pq

Highlights:
* Nearly complete support for asynchronous usage
* Extended type support by pg_type
* Fetching simple multi-dimensional array maps
* Working Gateway implementation


Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2016-03-11 07:38 EST
Created attachment 1135217 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1299907
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Shawn Iwinski 2016-03-11 07:40:06 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[!]: Latest version is packaged.

     Latest version is 2.0.0 but packager can decide what their app stack needs.



No blockers.

==== APPROVED =====
Comment 3 Remi Collet 2016-03-11 08:43:56 EST
>  Latest version is 2.0.0 but packager can decide what their app stack needs.

Version 2.0.0 is for PHP 7 ;)

Thanks for the review.
SCM request open
Comment 4 Gwyn Ciesla 2016-03-11 11:15:36 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-pecl-pq
Comment 5 Fedora Update System 2016-03-11 12:36:01 EST
php-pecl-pq-1.0.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c4f000b0d
Comment 6 Fedora Update System 2016-03-11 12:36:07 EST
php-pecl-pq-1.0.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ff1d03eb3
Comment 7 Fedora Update System 2016-03-11 12:36:11 EST
php-pecl-pq-1.0.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f78676affb
Comment 8 Fedora Update System 2016-03-11 12:36:15 EST
php-pecl-pq-1.0.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-87b1373ab1
Comment 9 Fedora Update System 2016-03-11 14:25:04 EST
php-pecl-pq-1.0.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ff1d03eb3
Comment 10 Fedora Update System 2016-03-12 11:52:49 EST
php-pecl-pq-1.0.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f78676affb
Comment 11 Fedora Update System 2016-03-12 12:24:50 EST
php-pecl-pq-1.0.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c4f000b0d
Comment 12 Fedora Update System 2016-03-12 15:50:24 EST
php-pecl-pq-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-87b1373ab1
Comment 13 Fedora Update System 2016-03-20 16:20:49 EDT
php-pecl-pq-1.0.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-20 21:51:43 EDT
php-pecl-pq-1.0.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-26 14:11:38 EDT
php-pecl-pq-1.0.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-29 13:57:26 EDT
php-pecl-pq-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.